<app-header [buttonTitle]="'Push Notification'" [buttonIcon]="'message'" [title]="'Πελάτες'" (action)="send()" [hasAction]="true"></app-header>

<app-extreme-table [data]="customers" [columns]="columns" noDataText="Δεν έχετε ακόμα νέους πελάτες"></app-extreme-table>

<!--<div [style.height.px]="tableHeight" style="overflow-y: auto;">-->
<!--  <mat-table [dataSource]="customers" class="mat-elevation-z8">-->

<!--    <ng-container matColumnDef="firstName">-->
<!--      <mat-header-cell *matHeaderCellDef>Όνομα</mat-header-cell>-->
<!--      <mat-cell *matCellDef="let element">{{element.firstName}}</mat-cell>-->
<!--    </ng-container>-->

<!--    <ng-container matColumnDef="lastName">-->
<!--      <mat-header-cell *matHeaderCellDef>Επώνυμο</mat-header-cell>-->
<!--      <mat-cell *matCellDef="let element">{{element.lastName}}</mat-cell>-->
<!--    </ng-container>-->

<!--    <ng-container matColumnDef="identifier">-->
<!--      <mat-header-cell *matHeaderCellDef>Email</mat-header-cell>-->
<!--      <mat-cell *matCellDef="let element">{{element.identifier}}</mat-cell>-->
<!--    </ng-container>-->

<!--    <ng-container matColumnDef="mobile">-->
<!--      <mat-header-cell *matHeaderCellDef>Τηλέφωνο</mat-header-cell>-->
<!--      <mat-cell *matCellDef="let element">{{element.mobile}}</mat-cell>-->
<!--    </ng-container>-->

<!--    <ng-container matColumnDef="actions">-->
<!--      <mat-header-cell *matHeaderCellDef>Ενέργειες</mat-header-cell>-->
<!--      <mat-cell *matCellDef="let element">-->
<!--        <div fxLayout="row" style="color: var(&#45;&#45;primary)">-->
<!--&lt;!&ndash;          <button mat-icon-button>&ndash;&gt;-->
<!--&lt;!&ndash;            <mat-icon>&ndash;&gt;-->
<!--&lt;!&ndash;              edit&ndash;&gt;-->
<!--&lt;!&ndash;            </mat-icon>&ndash;&gt;-->
<!--&lt;!&ndash;          </button>&ndash;&gt;-->

<!--&lt;!&ndash;          <button mat-icon-button style="color: red;">&ndash;&gt;-->
<!--&lt;!&ndash;            <mat-icon>&ndash;&gt;-->
<!--&lt;!&ndash;              delete&ndash;&gt;-->
<!--&lt;!&ndash;            </mat-icon>&ndash;&gt;-->
<!--&lt;!&ndash;          </button>&ndash;&gt;-->
<!--        </div>-->
<!--      </mat-cell>-->
<!--    </ng-container>-->

<!--    <mat-header-row  *matHeaderRowDef="displayedColumns sticky: true"></mat-header-row>-->
<!--    <mat-row  *matRowDef="let row; columns: displayedColumns; "></mat-row>-->

<!--  </mat-table>-->
<!--</div>-->
